#
# spec file for package suselinux-reference_es (Version 7.3.0.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ImageMagick dialog freetype2 ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv ghostscript-x11 glib l2h libjpeg libpng libtiff netpbm susebook susebook2html susebuch susefont te_ams te_mpost te_pdf te_pscm tetex xf86
# usedforbuild    ImageMagick aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs dialog diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-other ghostscript-fonts-std ghostscript-library ghostscript-serv ghostscript-x11 glib glibc glibc-devel gpm gppshare grep groff gzip kbd l2h less libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace susebook susebook2html susebuch susefont syslogd sysvinit te_ams te_latex te_mpost te_pdf te_pscm tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         suselinux-reference_es
Version:      7.3.0.3
Release:      3
Source:      suselinux-reference_es-%{version}.tar.bz2
#Source1:      ascii_de.tar.gz
#Source2:      ascii-axp_de.tar.gz
# Source3: book_de.conf
BuildRoot: %{_tmppath}/42-24
Group: Documentation
Copyright: SuSE GmbH
Summary:      System and Reference Manual (es)
# Requires:
%define MYDOC %{_defaultdocdir}/suselinux-reference_es
%define SUSEHTML %{_datadir}/doc/suse
%define MYHTML %{SUSEHTML}/reference-es
%define TEXDIR /usr/share/texmf/tex/latex/susebook

%description
System and Reference Manual (es)

SuSE series: doc

%prep
%ifnarch i386 ppc
echo "Not useful on this architecture" && exit 1
%endif
%setup -q

%build
#%ifarch i386
#cp /usr/share/texmf/tex/latex/hyperref/hyperref.sty \
#   /usr/share/texmf/tex/latex/hyperref/hyperref.sty.orig
#sed s/captinosspanish/captionsspanish/ \
#   /usr/share/texmf/tex/latex/hyperref/hyperref.sty.orig \
#   > /usr/share/texmf/tex/latex/hyperref/hyperref.sty
#cp /etc/texmf/language.dat /etc/texmf/language.dat.orig
#sed 's/^%.*\(spanish.*$\)/\1/' /etc/texmf/language.dat.orig >/etc/texmf/language.dat
#/usr/bin/fmtutil --byfmt latex
#/usr/bin/fmtutil --byfmt pdflatex
# exit 1
make %{_arch}
/usr/lib/susebook2html/sb2h.sh es
make pdfbuch
mv main.pdf SuSE-Linux-Reference-%{version}.pdf
#cp /etc/texmf/language.dat.orig /etc/texmf/language.dat
#/usr/bin/fmtutil --byfmt latex
#/usr/bin/fmtutil --byfmt pdflatex
#%endif

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
# html start
install -d $RPM_BUILD_ROOT%{SUSEHTML}
install -d $RPM_BUILD_ROOT%{MYHTML}
install -d $RPM_BUILD_ROOT%{MYHTML}/html
install -d $RPM_BUILD_ROOT%{MYHTML}/bilder-png
install -m 0644 main/main/* $RPM_BUILD_ROOT%{MYHTML}/html
install -m 0644 main/bilder-png/* $RPM_BUILD_ROOT%{MYHTML}/bilder-png
install -m 0644 %{TEXDIR}/suse-logo.png  %{TEXDIR}/hinweis-sw-2x2.png \
                %{TEXDIR}/tip-sw-2x2.png %{TEXDIR}/achtung-sw-2x2.png \
             $RPM_BUILD_ROOT%{MYHTML}/bilder-png
# html end

%post
if [ -d %{MYDOC} ] ; then
pushd %{MYDOC}
  rm -f SuSE-Linux-Reference.pdf
  ln -s SuSE-Linux-Reference-%{version}.pdf SuSE-Linux-Reference.pdf
popd
fi

%preun
if [ -d %{MYDOC} ] ; then
  pushd %{MYDOC}
  rm -f SuSE-Linux-Reference.pdf
  popd
fi

%files
%doc SuSE-Linux-Reference-%{version}.pdf
# html
%dir %{SUSEHTML}
%{MYHTML}

%changelog -n suselinux-reference_es
* Tue Oct 02 2001 - ke@suse.de
- Update to version 7.3.0.3; cf. bug report by Berthold Gunreben
  [#11556].
* Thu Aug 23 2001 - utuerk@suse.de
- german dummy version 7.3.0.0
- added glib to neededforbuild
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Fri May 04 2001 - ke@suse.de
- New package: version 7.2.0.2a.
